Find the answer to your Linux question:
Results 1 to 2 of 2
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1

    apt-get: Segmentation Fault?

    Hello all.

    I installed apt on my FC2 box, but it seems to not be working in some aspects:
    The apt-get update function connects correctly to the servers, but it gives me a segmentation fault:

    [root@localhost user]# apt-get update
    Get:1 fedora/linux/2/i386 release [1816B]
    Fetched 1816B in 3s (550B/s)
    Hit fedora/linux/2/i386/core pkglist
    Hit fedora/linux/2/i386/core release
    Hit fedora/linux/2/i386/updates pkglist
    Hit fedora/linux/2/i386/updates release
    Hit fedora/linux/2/i386/freshrpms pkglist
    Hit fedora/linux/2/i386/freshrpms release
    Hit fedora/linux/2/i386/tupdates pkglist
    Hit fedora/linux/2/i386/tupdates release
    Segmentation fault
    I have yum installed too, if that makes a difference.


  2. #2
    Linux Newbie
    Join Date
    May 2004
    Boston, MA
    You should probably reinstall apt. If you're getting a segfault, chances are it either got corrupted or is not compatible with your distro or kernel.
    Situations arise because of the weather,
    And no kinds of love are better than others.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts